<?php  
include("../config.php");      //基本資料設定
$path_parts = pathinfo(htmlspecialchars($_SERVER['REQUEST_URI'], ENT_NOQUOTES,'UTF-8'));  //這邊的$path_parts會是一個陣列，裡面的元素就是我們要的資訊。
if (substr($path_parts['dirname'],$path_parts['dirname']-4, 4) == '.php')
{header('Location: https://zh.wikipedia.org/wiki/404'); //如果有找到***.php，則導至404 
exit;}
if(!empty($_SERVER['QUERY_STRING'])&&!filter_var($_SERVER['QUERY_STRING'], FILTER_VALIDATE_URL, FILTER_FLAG_QUERY_REQUIRED))
{header('Location: https://zh.wikipedia.org/wiki/404'); //這裡不需要參數，如果有找到，則導至404 
exit;}
//用 php 取得目前完整網址且判斷 http 或 https
$protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
$http = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
//echo $protocol.$http;
 if (isset($_SERVER['SERVER_NAME'])) {
		//用 php 取得目前完整網址且判斷 http 或 https
        $serverhost = $_SERVER['SERVER_NAME'];
        $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
        $http = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];		
		$strurl     = str_replace($protocol,'',$http);  
        $strdomain  = explode('/',$strurl);           
        $sourcehost = $strdomain[0];
		if(strpos($strdomain[1],'~') === false){//判斷是否放在使用者目錄
		$host=$protocol.$_SERVER['HTTP_HOST'];
		}else{
		$host=$protocol.$_SERVER['HTTP_HOST']."/".$strdomain[1];				
		}
 }
 
 // Blind SQL Injection 2019/01/24 
function ip_adr() { 
if (isset($_SERVER['HTTP_X_FORWARDED_FOR'])) { $ip_adr = $_SERVER['HTTP_X_FORWARDED_FOR']; } else { $ip_adr = $_SERVER["REMOTE_ADDR"]; } if (preg_match("#^[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}#",$ip_adr)) { return $ip_adr; } else { return $_SERVER["REMOTE_ADDR"]; } } 
 
//頁面設定 
 $PAGE_NUMBER="D01";
 $PAGE_MAINNAME="登入"; 
 $PAGE_MAINNAME_LINK="index.php";
 $PAGE_NAME="登入"; 
 $MEMULINK="index"; //基準頁免設
   //session_start(); 
   ini_set('session.use_strict_mode', 1);

$_SESSION['sid'] = isset($_SESSION['sid']) ? $_SESSION['sid'] : md5('time()');

$_SESSION['login_error'] = isset($_SESSION['login_error']) ? $_SESSION['login_error'] : null; 
 
 // 這邊，記得換上你的 site key 跟 secret key 在 https://www.google.com/recaptcha/admin
$siteKey = '6LcIQJoUAAAAAAjibhzEcl0zj1_3cj1fjVNSRqrS';
$secret = '6LcIQJoUAAAAAMQtruS-JJja_1O7RU9XmBzP3miI';

// 語言 https://developers.google.com/recaptcha/docs/language
$lang = 'zh-TW';  

//檢查錯誤登入三次，再次登入時間
if ($_SESSION['login_error']==3)
{
//取得系統時間
$NowTimeStatement = $Database->prepare("SELECT datetime('now','localtime') nowtime");
$NowTimeStatement->execute();
//輸出查詢結果
while($NowTimerow = $NowTimeStatement->fetch(PDO::FETCH_ASSOC))
{
	if ($NowTimerow['nowtime']>$_SESSION['nexttime']){
	      //已過5分鐘將記錄清除
			  unset($_SESSION['login_error']);	
			  unset($_SESSION['nexttime']);	
			  }
}
}		

	
	?>
<!DOCTYPE html>
<html lang="zh-Hant-TW">
  <head>
    <meta charset="utf-8">  
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- 上述3個meta標籤*必須*放在最前面，任何其他內容都*必須*跟隨其後！ -->
<?php echo"<meta name=\"description\" content='$DESCRIPTION'>
<meta name=\"keywords\" content='$KEYWORDS'>
<meta name=\"author\" content='$AUTHOR_EN'>
<title>$PAGE_NAME - $WEBNAME</title>    
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:url\" content=\"".$protocol.$http."\" />
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:image\" ccontent=\"".$host."/img/logo.png\" />
";
?>
<!-- Favicons
================================================== -->
<link rel="icon" href="../images/favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="../images/favicon.ico" type="image/x-icon" />
<link rel="apple-touch-icon" href="images/touch-icon-iphone.png" /> 
<link rel="apple-touch-icon" sizes="76x76" href="../images/touch-icon-ipad.png" /> 
<link rel="apple-touch-icon" sizes="120x120" href="../images/touch-icon-iphone-retina.png" />
<link rel="apple-touch-icon" sizes="152x152" href="../images/touch-icon-ipad-retina.png" />
	
	
    <!-- Bootstrap -->
    <link href="../css/bootstrap.min.css" rel="stylesheet">

    <!-- Bootstrap Dropdown Hover CSS -->
    <link href="../css/animate.min.css" rel="stylesheet">
    <link href="../css/bootstrap-dropdownhover.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="../css/font-awesome.min.css" rel="stylesheet">

    <!-- Custom Css -->
    <link href="../css/adminstyle.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js" integrity="sha384-0s5Pv64cNZJieYFkXYOTId2HMA2Lfb6q2nAcx2n0RTLUnCAoTTsS0nKEO27XyKcY" crossorigin="anonymous"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js" integrity="sha384-ZoaMbDF+4LeFxg6WdScQ9nnR1QC2MIRxA1O9KWEXQwns1G8UNyIEZIQidzb0T1fo" crossorigin="anonymous"></script>
    <![endif]-->
    <script src="https://www.google.com/recaptcha/api.js?render=<?php echo $siteKey?>"></script>
    <script>
        grecaptcha.ready(function () {
            grecaptcha.execute('<?php echo $siteKey?>', { action: 'social' }).then(function (token) {
                var recaptchaResponse = document.getElementById('recaptchaResponse');
                recaptchaResponse.value = token;
            });
        });
    </script>
<style type="text/css">
/*--本頁表格專用*/
</style>
</head>
<body class="login-page">
    <div class="login-box">
        <div class="logo">
            環球科技大學<BR>
			<b><?php echo"$WEBNAME";?></b>
            <small>後端管理介面</small>
        </div>
        <div class="card">
            <div class="body">
<FORM action="login_confirm.php" method="post" enctype="multipart/form-data" id="sign_in" name="sign_in" class="form-horizontal"  role="form">	                
<div class="alert alert-info alert-dismissible" role="alert">
    <i class="fa fa-exclamation-circle"></i>&nbsp;請輸入管理者帳號及密碼</div>
				
 
  <div class="input-group mb-3">
    <div class="input-group-prepend">
      <span class="input-group-text"><i class="fa fa-user" aria-hidden="true" alt=" "></i></span>
    </div>
    <input type="text" class="form-control" name="username" placeholder="請輸入帳號Username" required autofocus>
  </div> 
    <div class="input-group mb-3">
    <div class="input-group-prepend">
      <span class="input-group-text"><i class="fa fa-lock" aria-hidden="true" alt=" "></i></span>
    </div>
    <input type="password" class="form-control" name="password" placeholder="請輸入密碼Password" required AUTOCOMPLETE="off">
	</div>
     <div class="input-group mb-3">
     <div class="input-group-prepend">
      <span class="input-group-text"><i class="fa fa-map-signs" aria-hidden="true" alt=" "></i></span>
    </div>
	<input type="hidden" name="recaptcha_response" id="recaptchaResponse">
    <div class="input-group-append">
    <span class="input-group-text" id="basic-addon2">使用IP: <?php echo ip_adr()?>登入管理區</span>
  </div>
<br>1.為提升帳戶安全，我們採用(<a href="https://developers.google.com/recaptcha/docs/v3" title="Google reCAPTCHA"  target=_blank >Google reCAPTCHA 機器人驗證機制</a>)，無須點選傳統機器人驗證
<br>2.哪一種瀏覽器容易通過驗證: Chrome > (Safari / Firefox / Internet Explorer)
<br>3.帳密確認無誤，如仍無法通過機器人驗證，建議使用校內網段IP(含無線wifi/VPN)進行登入
<br>4.如果已經發現帳密錯誤，請暫緩登入(不要連續敲擊鍵盤輸入字元)，否則無法通過機器人驗證
 </div>
<input type="hidden" name="go" value="<?php echo $_SESSION['sid']?>">
<button class="btn btn-block bg-pink waves-effect" type="submit" <?php if ($_SESSION['login_error']==3) echo "disabled"?>><i class="fa fa-sign-in" aria-hidden="true"></i> 登入/Login </button>
                    <div class="msg">無法登入請與單位網站管理員聯繫<BR>(系統帳密與各系統不一樣)</div>
				<?php if ($_SESSION['login_error']==3) echo "<div class=\"alert alert-danger alert-dismissible\" role=\"alert\">因為您嘗試登入系統時，發生多次無法登入，將暫停使用系統，請於".$_SESSION['nexttime']."後，重新整理畫面再行操作<div>"?>
				  
                </form>				
            </div>
        </div>
    </div>
  </body>
</html>