<?php
/* Make sure we've been called using index.php */
if (!defined('INSTALL_SEQUENCE')) {
    echo '<p>Illegal call. Terminating.</p>';
    exit();
}

if (!class_exists('PDO',false)) {
    echo '<p>Wolf CMS requires PDO support which was not detected. Terminating.</p>';
    exit();
}

$drivers = PDO::getAvailableDrivers();
?>
<div class="tuition_content"> 
    <h3>TWUCMS即將進行升級資料庫:</h3>
    <p><strong>V.<?php echo $youPreversion ?>(含之前)版本</strong>
        =&gt; <strong>V.<?php echo $youversion ?></strong>?
    </p>
    <form action="index.php" method="post">
        <input type="hidden" name="upgrade" value="1"/>
        <table class="fieldset" cellpadding="0" cellspacing="0" border="0">
            <tr>
                <th colspan="3">管理者資料驗證</th>
            </tr>
<?php
if (isset($_SESSION['username'])) {
echo "
            <tr>
                <td><label for=\"config_admin_username\">管理者帳號 username</label></td>
                <td><input class=\"form-control\" id=\"config_admin_username\" maxlength=\"40\" name=\"upgrade[username]\" size=\"50\" type=\"text\" readonly=\"readonly\" value=\"".$_SESSION['username']."\" required autofocus /></td>
                <td><span class=\"text-primary\">***登入狀態***</span>請確認您登入的帳號是否為<span class=\"text-danger\">".$_SESSION['username']."</span>，若否，請關閉全部的瀏覽器(IE/Chrome...)頁面後，重新使用</td>
            </tr>
";
}else {
echo "
            <tr>
                <td><label for=\"config_admin_username\">管理者帳號 username</label></td>
                <td><input class=\"form-control\" id=\"config_admin_username\" maxlength=\"40\" name=\"upgrade[username]\" size=\"50\" type=\"text\" required autofocus /></td>
                <td><span class=\"text-primary\">必填欄位</span>請輸入管理者帳號 username . <span class=\"text-danger\">預設: transworld</span></td>
            </tr>
";
}

if (isset($_SESSION['password'])) {
echo "
            <tr>
                <td><label for=\"config_admin_password1\">管理者密碼 password</label></td>
                <td>***登入狀態***(無需填入密碼)</td>
                <td><span class=\"text-primary\">管理者密碼 password</span><span class=\"text-danger\">無需填入</span></td>
            </tr>
";
}else {
echo "
            <tr>
                <td><label for=\"config_admin_password1\">管理者密碼 password</label></td>
                <td><input class=\"form-control\" id=\"config_admin_password1\" maxlength=\"40\" name=\"upgrade[pwd]\" size=\"50\" type=\"password\" required autofocus /></td>
                <td><span class=\"text-primary\">必填欄位</span><span class=\"text-danger\">管理者密碼 password</span></td>
            </tr>
            <tr>
                <td><label for=\"config_admin_password1\">再輸入一次管理者密碼 password</label></td>
                <td><input class=\"form-control\" id=\"config_admin_password2\" maxlength=\"40\" name=\"upgrade[pwd_check]\" size=\"50\" type=\"password\" required autofocus /></td>
                <td><span class=\"text-primary\">必填欄位</span><span class=\"text-danger\">再輸入一次管理者密碼 password</span></td>
            </tr>
";
}
?>
        </table>
        <?php
        if ($_SESSION['Groups']>1) {
            echo '</form><button class="btn btn-danger"><i class="fa fa-refresh" aria-hidden="true"></i>請確認您的群組是管理者(這個帳號目前無法執行更新)</button>';
        } else {
           echo '<p><button name="commit" type="submit" class="btn btn-primary"><i class="fa fa-cog" aria-hidden="true"></i>開始更新/Upgrade now!</button></p></form>';
        }
        ?>
		

    
</div>	