<?php
$path_parts = pathinfo(htmlspecialchars($_SERVER['REQUEST_URI'], ENT_NOQUOTES,'UTF-8'));  //這邊的$path_parts會是一個陣列，裡面的元素就是我們要的資訊。
if (substr($path_parts['dirname'],$path_parts['dirname']-4, 4) == '.php')
{header('Location: https://zh.wikipedia.org/wiki/404'); //如果有找到***.php，則導至404 
exit;}
if(!empty($_SERVER['QUERY_STRING'])&&!filter_var($_SERVER['QUERY_STRING'], FILTER_VALIDATE_URL, FILTER_FLAG_QUERY_REQUIRED))
{header('Location: https://zh.wikipedia.org/wiki/404'); //這裡不需要參數，如果有找到，則導至404 
exit;}

//用 php 取得目前完整網址且判斷 http 或 https
$protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
$http = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
//echo $protocol.$http;
 if (isset($_SERVER['SERVER_NAME'])) {
		//用 php 取得目前完整網址且判斷 http 或 https
        $serverhost = $_SERVER['SERVER_NAME'];
        $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
        $http = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];		
		$strurl     = str_replace($protocol,'',$http);  
        $strdomain  = explode('/',$strurl);           
        $sourcehost = $strdomain[0];
		if(strpos($strdomain[1],'~') === false){//判斷是否放在使用者目錄
		$host=$protocol.$_SERVER['HTTP_HOST'];
		}else{
		$host=$protocol.$_SERVER['HTTP_HOST']."/".$strdomain[1];				
		}
 }
?>
<!DOCTYPE html>
<html lang="zh-Hant-TW">
  <head>
    <meta charset="utf-8">  
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- 上述3個meta標籤*必須*放在最前面，任何其他內容都*必須*跟隨其後！ -->
<meta name="description" content='這是單位網站為....'>
<title>Coming Soon</title>       
<!-- Favicons
================================================== -->
<link rel="icon" href="images/favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon" />
<link rel="apple-touch-icon" href="images/touch-icon-iphone.png" /> 
<link rel="apple-touch-icon" sizes="76x76" href="images/touch-icon-ipad.png" /> 
<link rel="apple-touch-icon" sizes="120x120" href="images/touch-icon-iphone-retina.png" />
<link rel="apple-touch-icon" sizes="152x152" href="images/touch-icon-ipad-retina.png" />

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Bootstrap Dropdown Hover CSS -->
    <link href="css/animate.min.css" rel="stylesheet">
    <link href="css/bootstrap-dropdownhover.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="css/font-awesome.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="css/twu_css.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js" integrity="sha384-0s5Pv64cNZJieYFkXYOTId2HMA2Lfb6q2nAcx2n0RTLUnCAoTTsS0nKEO27XyKcY" crossorigin="anonymous"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js" integrity="sha384-ZoaMbDF+4LeFxg6WdScQ9nnR1QC2MIRxA1O9KWEXQwns1G8UNyIEZIQidzb0T1fo" crossorigin="anonymous"></script>
    <![endif]-->
<style type="text/css">
/*--本頁表格專用*/
</style>
</head>
<body>
<noscript><div class="noscriptNotify">
<i class="fa fa-warning"></i>您的瀏覽器似乎不支援JavaScript語法，但沒關係，這裡的JavaScript語法並不會影響到內容的陳述， 如需要選擇字級大小，IE6請利用鍵盤按住ALT鍵+ V → X → (G)最大(L)較大(M)中(S)較小(A)小，來選擇適合您的文字大小， 而IE7或Firefox瀏覽器則可利用鍵盤 Ctrl + (+)放大(-)縮小來改變字型大小，如需要回到上一頁可使用瀏覽器提供的 Alt+左方向鍵(←) 快速鍵功能，列印可使用瀏覽器提供的(Ctrl+P)功能；若您的瀏覽器無法支援請點選此超連結<a accesskey="Q" href="sitemap.php"  title="網站快速連結功能，將新開視窗"  target="blank"><i class="fa fa-sitemap"></i>網站快速連結功能，將新開視窗</a>或您也可以開啟瀏覽器的 JavaScript，然後<a href="#">再試一次</a><br>
若要分享網頁，您可使用下列連結，再輸入您想要分享的資訊：
                <a href="http://www.facebook.com/" target="_blank" title="facebook(open new window)">facebook</a>&nbsp;|&nbsp;
                <a href="http://www.plurk.com/" target="_blank" title="plurk(open new window)">plurk</a>&nbsp;|&nbsp;
                <a href="http://www.twitter.com/" target="_blank" title="twitter(open new window)">twitter</a>&nbsp;|&nbsp;
                <a href="http://plus.google.com/" target="_blank" title="Google+(open new window)">Google+</a>
</div></noscript>
<!-- 回到頁首 -->
<div id="PageTop"><i class="fa fa-angle-double-up" aria-hidden="true"></i><b>TOP</b>
</div>
<div class="accesskey d-none"><a accesskey="U" title="Upper Block" href="#" tabindex="100">:::</a></div>

      <nav class="navbar navbar-expand-lg md-pills navbar-top font-white bg-dark rounded">
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mynav-top" aria-controls="mynav-top" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>

      <div class="collapse navbar-collapse justify-content-md-around" id="mynav-top">
        <div id="skiplink-container"><div><a href="#section-top" class="sr-only sr-only-focusable skiplink" title="Skip to main content" tabindex="1">Skip to main content</a></div></div>
	    <ul class="navbar-nav">
          <li class="nav-item">
<li class="nav-item"><a href="index.php" tabindex="1" class="nav-link"  title="首頁"><i class="fa fa-home" aria-hidden="true"></i>首頁</a></li><li class="nav-item"><a href="http://www.twu.edu.tw/" tabindex="1" class="nav-link"  target="_blank" title="環球科技大學(開啟新網頁)"><i class="fa fa-language" aria-hidden="true"></i>環球科技大學</a></li>
        </ul>		
      </div>
    </nav>

<div class="container" id="mynav-main">

      <nav class="navbar navbar-expand-lg md-pills navbar-twu bg-body rounded">
  <!-- Brand -->
  <a href="index.php" title="首頁" class="navbar-brand" tabindex="101"><img id="Image1" title="TransWorld University logo" src="images/logo.png" alt="TransWorld University logo"></a>
  <!-- Links -->
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mynavbar-main" aria-controls="mynavbar-main" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="mynavbar-main">
          <ul class="navbar-nav mr-auto">
		  
          </ul>
        </div>
      </nav>
</div>	  <!-- Header -->
<section class="patched-section" id="section-header">
    <div class="container-fluid container-pageheader">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <h1>立足台灣 放眼國際</h1>
                    <h4>Our website is coming soon...</h4>
                    <p>存誠務實 五育並重 愛在環球</p>
                </div>
            </div>
        </div>
    </div>
</section><!-- Page Content -->
<!-- Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
<div id="my-breadcrumb">
   <div class="container-fluid bg-breadcrumb">
      <div class="container">
         <div class="row">
            <div class="col-sm-8 col-lg-8"> 
                <nav aria-label="breadcrumb">
				<ol class="breadcrumb">
                    <i class="fa fa-road" aria-hidden="true" alt=" "></i>&nbsp;您目前位置：&nbsp;<li class="breadcrumb-item"><i class="fa fa-home" aria-hidden="true" alt=" "></i><a href="index.php" title="首頁" tabindex="221">首頁</a></li>
                    <li class="breadcrumb-item active"  aria-current="page"><i class="fa fa-envelope" aria-hidden="true" alt=" "></i>&nbsp;網站暫時無法服務</li>    
                
                </ol> 
</nav>				
            </div><!--/col-lg-8 -->
            <div class="col-lg-4 d-none d-sm-block col-sm-4">
			    <div class="fontsize">
<a tabindex="233" onkeypress="fontbig()" onclick="fontbig()" href="#" title="big">+</a>
<a tabindex="232" onkeypress="font()" onclick="font()" href="#" title="Normal">O</a>
<a tabindex="231" onkeypress="fontsmall()" onclick="fontsmall()" href="#" title="small">-</a>
<div class="font_t">FONT SIZE:</div>
<!--fontsize end-->
                </div>
            </div>  <!--/col-lg-4 -->           
         </div><!--/row -->
      </div><!--/container -->
   </div><!--/container-fluid -->
</div> <!--/my-breadcrumb-->
<!-- END of Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
<section class="patched-section" id="section-top">
      <div class="container-fluid container-bg">
      <div class="container bg-white">
        <div class="row">
<div class="col-md-3 bg-blue widget_mfn_menu">
<div class="accesskey d-none"><a accesskey="L" title="Left Block" href="#" tabindex="300">:::</a></div>
            </div>            
             <div class="col-md-9">
<div class="accesskey d-none"><a accesskey="C" title="content Block" href="#" tabindex="400">:::</a></div>              
                <p class="lead">Coming Soon</p>
                 <hr>
<!-- secretary -->
<div class="row longtext">
<!-- secretary photo-->
    <div class="col-sm-4 col-lg-3">
 <img src="images/other/twu.jpg" class="media-object img-hover img-center" alt="*">
    </div>
<!-- /secretary photo-->   
<!-- secretary detail -->
    <div class="col-sm-8 col-lg-8"> 
  <h4 class="photo-heading">Our website is coming soon.</h4>   

<!-- /secretary   detail-->   
</div>
 <!-- /secretary -->    

                             
          </div> 
        </div>
</div>
</div>
      </section>
<div class="container-fluid container-bg">
    <div class="container bg-white" id="section-share">
        <div class="row">
            <div class="col-xl-12">
                 <h2 class="border-bottom"><i class="fa fa-link" aria-hidden="true" alt=" "></i> 社群 /  follow us </h2>
<ul class="nav justify-content-center">		
<!-- follow us Facebook -->
<li class="nav-item"><a href="https://www.facebook.com/TWUniversity/" title="follow us Facebook(開啟新網頁)" target="_blank" tabindex="901" class="nav-link">
  <i class="fa fa-2x fa-facebook-square" title="follow us Facebook" aria-hidden="true" alt=" "></i>
  <span class="sr-only">follow us Facebook</span>
</a></li>
<!/-- follow us Facebook --><!-- twitter -->
<li class="nav-item"><a href="https://twitter.com/TWUCCIS" title="follow us twitter(開啟新網頁)" target="_blank" tabindex="901" class="nav-link">
  <i class="fa fa-2x fa-twitter-square" title="twitter" aria-hidden="true" alt=" "></i>
  <span class="sr-only">twitter</span>
</a></li>
<!/-- twitter --><!-- follow us instagram -->
<li class="nav-item"><a href="https://www.instagram.com/transworlduniversity/" title="follow us instagram(開啟新網頁)" target="_blank" tabindex="901" class="nav-link">
  <i class="fa fa-2x fa-instagram" title="follow us instagram" aria-hidden="true" alt=" "></i>
  <span class="sr-only">follow us instagram</span>
</a></li>
<!/-- follow us instagram --><!-- follow us youtube -->
<li class="nav-item"><a href="https://www.youtube.com/c/TwuEduTw1992" title="follow us youtube(開啟新網頁)" target="_blank" tabindex="901" class="nav-link">
  <i class="fa fa-2x fa-youtube-square" title="follow us youtube" aria-hidden="true" alt=" "></i>
  <span class="sr-only">follow us youtube</span>
</a></li>
<!/-- follow us youtube --><!-- 新聞稿專區 -->
<li class="nav-item"><a href="http://enews.twu.edu.tw/pressrelease.php" title="新聞稿專區(開啟新網頁)" target="_blank" tabindex="901" class="nav-link">
  <i class="fa fa-2x fa-newspaper-o" title="新聞稿專區" aria-hidden="true" alt=" "></i>
  <span class="sr-only">新聞稿專區</span>
</a></li>
<!/-- 新聞稿專區 -->	</ul>
            </div>
        </div>
   </div>
</div><!-- Begin footer -->    
<footer class="bs-docs-footer" id="section-footer">
<!-- #Date -->
<section id="page-BeginDate">
      <div class="container-fluid page-BeginDate">
        <div class="container">
        <div class="row">
            <div class="col-lg-12">        
<?php
$youcontent = file_get_contents('package.json');
$youcontent = json_decode($youcontent,true);
$youversion = $youcontent['version'];
if ($youcontent['version']==''){
echo  "版本:NULL";	
}else{
echo  "版本:V.".$youversion;	
}
?>
</div></div>
</div>
      </div>
</section>
<!-- #EndDate -->    
<section class="patched-section" id="section-footer">
    <div class="container-fluid">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">
                    <h2>環球新世界教育使命</h2>
                    <p>以「愛在環球：天生我才必有用」的信念，協助每一位學生開展自我探索的欲望、培養學生「維生、互動、創造」的三大能力，以利學生與世界接軌、實現自我、服務社會。</p>
            </div>
        </div>
</div>
</div>
      </section> 
<div class="container-fluid footer_address" id="section-end">
<div class="container">
        <div class="row">
            <div class="col-md-4">
         <!-- 左邊內容 -->
<div class="accesskey hidden-xs"><a accesskey="G" title="Website Disclaimer" href="#" tabindex="981">:::</a></div> 
<h3>網站施工中</h3>
                <!-- 左邊內容 -->
            </div>
            <div class="col-lg-7">
                <!-- 中內容 -->		
<address>2016-2019 ©  環球科技大學 All Rights Reserved.<br>
<i class="fa fa-map" aria-hidden="true" alt=" "></i>&nbspADD:雲林縣斗六市嘉東里鎮南路1221號<BR></address>
<script type="text/javascript" src="//media.line.me/js/line-button.js?v=20140411" ></script>
<script type="text/javascript">
new media_line_me.LineButton({"pc":false,"lang":"zh-hant","type":"d"});
</script>
</span>
                <!-- 中內容 -->
            </div>
            <div class="col-lg-1">
                <!-- 右邊內容 -->
                <!--<a href="http://www.handicap-free.nat.gov.tw/Applications/Detail?category=20160712002427"
                target="_blank">

<img title="A+Accessible Logo" alt="Web Priority A Plus Accessibility Approval(Open New Window)" src="images/aplus.jpg" complete="complete"/></a>-->
                <!-- 右邊內容 -->
            </div>
        </div>
    </div>
</div>
</footer><!-- #footer -->
<section class="section-bottom-height" id="section-note">
    <div class="container-fluid">
        <div class="container">
            <div class="row">
                <div class="col-xl-12">       
          <h4>愛在環球 創意樂活</h4>
                </div>
            </div>
        </div>
    </div>
</section>
    <!-- jQuery -->
    <script src="js/jquery.js"></script>
    <!-- Bootstrap Core JavaScript -->
    <script src="js/bootstrap.min.js"></script>
    <!-- Bootstrap Dropdown Hover JS -->
    <script src="js/bootstrap-dropdownhover.min.js"></script> 
    <!-- link JS -->
    <script src='js/linkAlert.js'></script>
	
<script>
function font()
{
  $("table").css("font-size","100%");
  $("td").css("font-size","100%");
  $("th").css("font-size","100%");
  $("a").css("font-size","100%");
  $("div").css("font-size","100%");
  $("p").css("font-size","100%");
}

function fontsmall()
{
  $("table").css("font-size","98%");
  $("td").css("font-size","98%");
  $("th").css("font-size","98%");
  $("a").css("font-size","98%");
  $("div").css("font-size","98%");
  $("p").css("font-size","98%");
}

function fontbig()
{
  $("table").css("font-size","102%");
  $("td").css("font-size","102%");
  $("th").css("font-size","102%");
  $("a").css("font-size","102%");
  $("div").css("font-size","102%");
  $("p").css("font-size","102%");

} 

<!--  回到頁首控制碼區段開始  -->
$(function(){
    $("#PageTop").click(function(){
        jQuery("html,body").animate({
		//$('html,body')  chrome , firefox , safari , IE
		//$('body')  chrome   ,   safari
		//$('html')  Firefox. IE			
            scrollTop:0
        },1000);
    });
    $(window).scroll(function() {
        if ( $(this).scrollTop() > 50){
            $('#PageTop').fadeIn("fast");
        } else {
            $('#PageTop').stop().fadeOut("fast");
        }
    });
});
</script>
<!--  回到頁首控制碼區段結束  -->  
</body>
</html>