<?php
include("config.php");      //基本資料設定
$path_parts = pathinfo(htmlentities($_SERVER['REQUEST_URI']));  //這邊的$path_parts會是一個陣列，裡面的元素就是我們要的資訊。
if(!strcasecmp($path_parts['basename'],$path_parts['filename']))
{header('Location: https://zh.wikipedia.org/wiki/404'); //這裡不需要參數，如果有找到，則導至404 
exit;}
if(!empty($_SERVER['QUERY_STRING'])&&!filter_var($_SERVER['QUERY_STRING'], FILTER_VALIDATE_URL, FILTER_FLAG_QUERY_REQUIRED))
{header('Location: https://zh.wikipedia.org/wiki/404'); //這裡不需要參數，如果有找到，則導至404 
exit;}
 if (isset($_SERVER['SERVER_NAME'])) {
		//用 php 取得目前完整網址且判斷 http 或 https
        $serverhost = $_SERVER['SERVER_NAME'];
        $protocol = ((!empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] != 'off') || $_SERVER['SERVER_PORT'] == 443) ? "https://" : "http://";
        $http = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
		//echo $protocol.$http;
		$strurl     = str_replace($protocol,'',$http);  
        $strdomain  = explode('/',$strurl);           
        $sourcehost = $strdomain[0];
		if(strpos($strdomain[1],'~') === false){//判斷是否放在使用者目錄
		$host=$protocol.$_SERVER['HTTP_HOST'];
		}else{
		$host=$protocol.$_SERVER['HTTP_HOST']."/".$strdomain[1];				
		}
 }
//伺服器報錯 PHP Notice:  Use of undefined constant 
//For example: $row[id] need to be $row['id'] 
//頁面設定
 $PAGE_NUMBER="Z02";
 $PAGE_NAME="聯絡我們";
 $PAGE_NAME_IOCN="fa-envelope"; 
 $MEMULINK="Other"; //基準頁免設
 //判斷是否為載具
$phpfile = basename(__FILE__);
$_SERVER['PHP_SELF'] = substr($_SERVER['PHP_SELF'], 0, strpos($_SERVER['PHP_SELF'], $phpfile)).$phpfile; 

function isMobile()
{ 
    // 如果有HTTP_X_WAP_PROFILE則一定是行動裝置
    if (isset ($_SERVER['HTTP_X_WAP_PROFILE']))
    {
        return true;
    } 
    // 如果via信息含有wap則一定是行動裝置,部分ISP服務會
    if (isset ($_SERVER['HTTP_VIA']))
    { 
        // 找不到為flase,否則為true
        return stristr($_SERVER['HTTP_VIA'], "wap") ? true : false;
    } 
    // 腦殘法，判斷手機發送的客戶端標誌,兼容性有待提高
    if (isset ($_SERVER['HTTP_USER_AGENT']))
    {
        $clientkeywords = array ('nokia','sony','ericsson','mot','samsung','htc','sgh',
            'lg','sharp','sie-','philips','panasonic','alcatel','lenovo','iphone',
            'ipad','ipod','blackberry','meizu','android','netfront','symbian','ucweb','windowsce',
            'palm','operamini','operamobi','openwave','nexusone','cldc','midp','wap',
            'Mobile', //2014/12/24 新增 紅米 HM NOTE 1LTE Chrome/39.0.2171.93 Mobile Safari/537.36			
            'mobile'
            ); 
        // 從HTTP_USER_AGENT中查找手機瀏覽器的關鍵字
        if (preg_match("/(" . implode('|', $clientkeywords) . ")/i", strtolower($_SERVER['HTTP_USER_AGENT'])))
        {
            return true;
        } 
    } 
    // 協議法，因為有可能不准確，放到最後判斷
    if (isset ($_SERVER['HTTP_ACCEPT']))
    { 
// 如果只支持wml並且不支持html那一定是行動裝置
// 如果支持wml和html但是wml在html之前則是行動裝置
        if ((strpos($_SERVER['HTTP_ACCEPT'], 'vnd.wap.wml') !== false) && (strpos($_SERVER['HTTP_ACCEPT'], 'text/html') === false || (strpos($_SERVER['HTTP_ACCEPT'], 'vnd.wap.wml') < strpos($_SERVER['HTTP_ACCEPT'], 'text/html'))))
        {
            return true;
        } 
    } 
    return false;
} 
$NavCustom=NULL;
if ($NavCustom=='') {$NavCustom="desktop";}

if(!isMobile()&&$_COOKIE['NavCustom']=='') {
$NavCustom="desktop";
}elseif(isMobile()&&$_COOKIE['NavCustom']==''){
$NavCustom="mobilep";	
}elseif($_COOKIE['NavCustom']=='desktop'){
$NavCustom="desktop";	
}elseif($_COOKIE['NavCustom']=='mobile'){
$NavCustom="mobile";	
}else{		
$NavCustom="desktop";
}
?>
<!DOCTYPE html>
<html lang="zh-Hant-TW">
  <head>
    <meta charset="utf-8">  
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- 上述3個meta標籤*必須*放在最前面，任何其他內容都*必須*跟隨其後！ -->
<?php echo"<meta name=\"description\" content='$DESCRIPTION'>
<meta name=\"keywords\" content='$KEYWORDS'>
<meta name=\"author\" content='$AUTHOR_EN'>
<title>$PAGE_NAME - $WEBNAME</title>    
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:url\" content=\"".$protocol.$http."\" />
<meta property=\"og:type\" content=\"EDU\"/>
<meta property=\"og:title\" content='$PAGE_NAME - $WEBNAME' />
<meta property=\"og:site_name\" content='$PROPERTY_SITE_NAME'/>
<meta property=\"og:description\" content='$ACTIVITYNAME'/>
<meta property=\"og:image\" ccontent=\"".$host."/img/logo.png\" />
";?>
<!-- Favicons
================================================== -->
<link rel="icon" href="images/favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="images/favicon.ico" type="image/x-icon" />
<link rel="apple-touch-icon" href="images/touch-icon-iphone.png" /> 
<link rel="apple-touch-icon" sizes="76x76" href="images/touch-icon-ipad.png" /> 
<link rel="apple-touch-icon" sizes="120x120" href="images/touch-icon-iphone-retina.png" />
<link rel="apple-touch-icon" sizes="152x152" href="images/touch-icon-ipad-retina.png" />

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Bootstrap Dropdown Hover CSS -->
    <link href="css/animate.min.css" rel="stylesheet">
    <link href="css/bootstrap-dropdownhover.min.css" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="css/font-awesome.min.css" rel="stylesheet">

    <!-- 輪播 CSS -->
    <link href="css/skdslider.css" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="css/twu_css.css" rel="stylesheet">

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js" integrity="sha384-0s5Pv64cNZJieYFkXYOTId2HMA2Lfb6q2nAcx2n0RTLUnCAoTTsS0nKEO27XyKcY" crossorigin="anonymous"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js" integrity="sha384-ZoaMbDF+4LeFxg6WdScQ9nnR1QC2MIRxA1O9KWEXQwns1G8UNyIEZIQidzb0T1fo" crossorigin="anonymous"></script>
    <![endif]-->
<style type="text/css">
/*--本頁表格專用*/
</style>
</head>
<body>
<?php
if(file_exists("include/header_meun.php")){
    include("include/header_meun.php"); //自己目錄內
}else{
    include("/home/wucy/web/include/header_meun.php");	 //採用統一校版本	
}?>
<!-- Header -->
<?php
if(file_exists("include/header_img.php")){
    include("include/header_img.php"); //自己目錄內
}else{
    include("/home/wucy/web/include/header_img.php");	 //採用統一校版本	
}?>
<!-- Page Content -->
<!-- Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
<div id="my-breadcrumb">
   <div class="container-fluid bg-breadcrumb">
      <div class="container">
         <div class="row">
            <div class="col-sm-8 col-lg-8"> 
                <nav aria-label="breadcrumb">
				<ol class="breadcrumb">
                    <i class="fa fa-road" aria-hidden="true" alt=" "></i>&nbsp;您目前位置：&nbsp;<li class="breadcrumb-item"><i class="fa fa-home" aria-hidden="true" alt=" "></i><a href="index.php" title="<?php echo $WEBNAME?>首頁" tabindex="221">首頁</a></li>
                    <li class="breadcrumb-item active"  aria-current="page"><i class="fa <?php echo $PAGE_NAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $PAGE_NAME?></li></ol> 
</nav>				
            </div><!--/col-lg-8 -->
            <div class="col-lg-4 d-none d-sm-block col-sm-4">
			    <div class="fontsize">
<a tabindex="233" onkeypress="fontbig()" onclick="fontbig()" href="#" title="big">+</a>
<a tabindex="232" onkeypress="font()" onclick="font()" href="#" title="Normal">O</a>
<a tabindex="231" onkeypress="fontsmall()" onclick="fontsmall()" href="#" title="small">-</a>
<div class="font_t">FONT SIZE:</div>
<!--fontsize end-->
                </div>
            </div>  <!--/col-lg-4 -->           
         </div><!--/row -->
      </div><!--/container -->
   </div><!--/container-fluid -->
</div> <!--/my-breadcrumb-->
<!-- END of Breadcrumbs導覽列(Breadcrumb，麵包屑) -->
<section class="patched-section" id="section-top">
      <div class="container-fluid container-bg">
      <div class="container bg-white">
        <div class="row">
<div class="col-md-3 bg-blue widget_mfn_menu">
<div class="accesskey d-none"><a accesskey="L" title="Left Block" href="#" tabindex="300">:::</a></div>
<!-- 選單 -->
<?php
if($NavCustom=="mobile") {
echo "<div id=\"mySidenav\" class=\"sidenav\">
  <a href=\"javascript:void(0)\" class=\"closebtn\" onclick=\"closeNav()\">&times;</a>";
}
//left_menu	左方選單
$leftmenuQuery = "SELECT ID,Name,FontAwesome FROM webstructure WHERE configStructure='left_menu' AND parentID = 0 AND isDisplay='true' ORDER BY SortNum ASC ,ID ASC ";
//執行SQL
$leftmenuStatement = $Database->prepare($leftmenuQuery);
$leftmenuStatement->execute();
$leftmenuRowset = $leftmenuStatement->fetchAll(PDO::FETCH_ASSOC);
$leftmenunum = count($leftmenuRowset);    //fetchAll()  	算比數
if ($leftmenunum>0)  {
echo "<h3><i class=\"fa fa-bars\" aria-hidden=\"true\" alt=\" \"></i>左側選單</h3>";
echo "<ul class=\"submenulist\"><!--項下連結-->";
 //繼續執行查詢		
$leftmenuQuery2 = "SELECT ID,Name,FontAwesome FROM webstructure WHERE configStructure='left_menu' AND parentID = 0 AND isDisplay='true' ORDER BY SortNum ASC ,ID ASC ";
$leftmenuStatement2 = $Database->prepare($leftmenuQuery2);
$leftmenuStatement2->execute();
$leftmenuRowset2 = $leftmenuStatement2->fetchAll(PDO::FETCH_ASSOC);
foreach ($leftmenuRowset2 as $leftmenurow2) {
echo "<li><a href=\"index.php?fillID=$leftmenurow2[ID]\" tabindex=\"300\" title=\"$leftmenurow2[Name]\"><i class=\"fa $leftmenurow2[FontAwesome]\" aria-hidden=\"true\"></i>$leftmenurow2[Name]</a></li>";
}
echo "</ul>";
}
?>
<?php
// 	二級單位暨所屬網站 
 //繼續執行查詢		
$sectionQuery = "SELECT Text FROM parameters WHERE Class='system' AND Vaule='sectionlinks'";
//執行SQL
$sectionStatement = $Database->prepare($sectionQuery);
$sectionStatement->execute();
$sectionRowset = $sectionStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($sectionRowset as $sectionRow) {
$sectionlinks=$sectionRow['Text'];
 }
if ($sectionlinks ==1){
$sectionlinksname=NULL;
 //繼續執行查詢		
$sectionlinksQuery = "SELECT Text FROM parameters WHERE Class='links' AND Vaule='sectionlinks'";
//執行SQL
$sectionlinksStatement = $Database->prepare($sectionlinksQuery);
$sectionlinksStatement->execute();
$sectionlinksRowset = $sectionlinksStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($sectionlinksRowset as $sectionlinksRow) {
$sectionlinksname=$sectionlinksRow['Text'];
 }
echo "<h3><i class=\"fa fa-chevron-circle-down\" aria-hidden=\"true\"></i>$sectionlinksname</h3>";
echo "<ul class=\"submenulist\"><!--項下連結-->";
 //繼續執行查詢		
$SelectQuery = "SELECT * FROM advertisement WHERE linksclass='sectionlinks' AND isDisplay='true' ORDER BY SortNum ASC ,ID ASC ";
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($Rowset as $row) {
 $pieces = explode ("://", $row["url"]);
		if ($pieces[0]=="https"){
			//$path="https://".str_replace("https://","",strtolower($_POST["textpath"])); 
			$path="https://".str_replace("https://","",$row["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"300\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">";
			}elseif ($pieces[0]=="http"){
			//$path="http://".str_replace("http://","",strtolower($_POST["textpath"])); 
			$path="http://".str_replace("http://","",$row["url"]); 
			$ad_url="<a href=\"$path\" tabindex=\"300\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">";
			}else{			
            $path=$row["url"];
			$ad_url="<a href=\"$path\" tabindex=\"300\" title=\"$row[Name]\">";
			}
echo "<li>$ad_url<i class=\"fa $row[FontAwesome]\" aria-hidden=\"true\"></i>$row[Name]</a></li>";
}
echo "</ul>";
}
?>
<div class="btn-group w-100">
<button class="btn btn-secondary"  onclick='createCookie("NavCustom","mobile",30,"twu.edu.tw");'>
  <i class="fa fa-mobile fa-2x pull-left"></i>載具版選單</button>
<button class="btn btn-dark"  onclick='createCookie("NavCustom","desktop",30,"twu.edu.tw");'>
  <i class="fa fa-desktop fa-2x pull-left"></i>桌機版選單</button>
</div>
<?php
if($NavCustom=="mobile") {
echo "</div><h3><a href=\"javascript:void(0)\" class=\"openbtn\" onclick=\"openNav()\"><i class=\"fa fa-angle-double-down\" aria-hidden=\"true\" alt=\" \"></i> 開啟內容選單</a></h3>";
}
?>
<?php
//圖片廣告
 //繼續執行查詢
$advertisement=NULL;
$advertisementQuery = "SELECT Text FROM parameters WHERE Class='system' AND Vaule='advertisement'";
//執行SQL
$advertisementStatement = $Database->prepare($advertisementQuery);
$advertisementStatement->execute();
$advertisementRowset = $advertisementStatement->fetchAll(PDO::FETCH_ASSOC);
foreach ($advertisementRowset as $advertisementgRow) {
$advertisement=$advertisementgRow['Text'];
 }
if ($advertisement ==1){
echo "<div id=\"advertisementslider\">";
 //繼續執行查詢		
$SelectQuery = "SELECT * FROM advertisement WHERE linksclass='advertisement' AND isDisplay='true' ORDER BY SortNum ASC ,ID ASC ";
$Statement = $Database->prepare($SelectQuery);
$Statement->execute();
$Rowset = $Statement->fetchAll(PDO::FETCH_ASSOC);
foreach ($Rowset as $row) {
 $pieces = explode ("://", $row["url"]);
		if ($pieces[0]=="https"){
			//$path="https://".str_replace("https://","",strtolower($_POST["textpath"])); 
			$path="https://".str_replace("https://","",$row["url"]); 
			$ad_url="  <a href=\"$path\" tabindex=\"300\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">More...</a>";
			}elseif ($pieces[0]=="http"){
			//$path="http://".str_replace("http://","",strtolower($_POST["textpath"])); 
			$path="http://".str_replace("http://","",$row["url"]); 
			$ad_url="  <a href=\"$path\" tabindex=\"300\" target=\"_blank\" title=\"$row[Name](開啟新網頁)\">More...</a>";
			}else{			
            $path=$row["url"];
			$ad_url="  <a href=\"$path\" tabindex=\"300\" title=\"$row[Name]\">More...</a>";
			}
$imgOrig=str_replace("../","",$row["imgOrig"]);				
echo "<div class=\"indexslide\"><IMG SRC=\"$imgOrig\" ALT='$row[Name]'>
<div class=\"indexslide-desc\">
<h2>$row[Name]</h2>
<p>$row[Note]$ad_url</p>
</div>
</div>";
}
echo "</div><!-- /advertisementslider -->";
}
?>
<!-- /選單 -->

            </div> 


             <div class="col-md-9">
<div class="accesskey d-none"><a accesskey="C" title="content Block" href="#" tabindex="400">:::</a></div>    
                <p class="lead"><i class="fa <?php echo $PAGE_NAME_IOCN?>" aria-hidden="true" alt=" "></i>&nbsp;<?php echo $PAGE_NAME?></p>
                 <hr>
<!-- secretary -->
<div class="row longtext">
<!-- secretary photo-->
    <div class="col-sm-4 col-lg-3">
 <img src="images/other/twu.jpg" class="media-object img-hover img-center" alt="*">
    </div>
<!-- /secretary photo-->   
<!-- secretary detail -->
    <div class="col-sm-8 col-lg-8"> 
  <h4 class="photo-heading"><?php echo $WEBNAME?> </h4>   
      <p><span class="fa-stack fa-lg">
        <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
        <i class="fa fa-phone fa-stack-1x fa-inverse" aria-hidden="true"></i>
        </span>
      <abbr title="連絡電話TEL">連絡電話:</abbr> <?php echo $CONTACT_TEL?> 
   </p>
     <p><span class="fa-stack fa-lg">
        <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
        <i class="fa fa-fax fa-stack-1x fa-inverse" aria-hidden="true"></i>
        </span>
     <abbr title="傳真FAX">傳真: </abbr><?php echo $CONTACT_PHONE?>
   </p>   
    <p> <span class="fa-stack fa-lg">
      <i class="fa fa-circle fa-stack-2x" aria-hidden="true"></i>
      <i class="fa fa-envelope fa-stack-1x fa-inverse" aria-hidden="true"></i>
      </span>
      EMAIL: <img src="include/emailimage.php?email=<?php echo base64_encode($CONTACT_MAIL); ?>" alt="產生email圖片" class="media-object img-hover img-center"/>
   </p>
   </div>
<!-- /secretary   detail-->   
</div>
 <!-- /secretary -->    
                            
          </div> 
        </div>
</div>
</div>
      </section>
<?php
if(file_exists("include/footer_social.php")){
    include("include/footer_social.php"); //自己目錄內
}else{
    include("/home/wucy/web/include/footer_social.php");	 //採用統一校版本	
}?>
<!-- Begin footer -->    
<footer class="bs-docs-footer" id="section-footer">
<!-- #Date -->
<section id="page-BeginDate">
      <div class="container-fluid page-BeginDate">
        <div class="container">
        <div class="row">
            <div class="col-lg-12">        
<?php
$youcontent = file_get_contents('package.json');
$youcontent = json_decode($youcontent,true);
$youversion = $youcontent['version'];
if ($youcontent['version']==''){
echo  "版本:NULL";	
}else{
echo  "版本:V.".$youversion;	
}
?>
</div></div>
</div>
      </div>
</section>
<!-- #EndDate -->    
<?php
if(file_exists("include/footer_copyright.php")){
    include("include/footer_copyright.php"); //自己目錄內
}else{
    include("/home/wucy/web/include/footer_copyright.php");	 //採用統一校版本	
}?>
    <!-- 輪播 JavaScript -->
    <script src="js/skdslider.js"></script> 
<script>
    jQuery(document).ready(function(){
$('#advertisementslider').skdslider({

  // Delay duration between two slides in ms.
  'delay': 3000,

  // <a href="https://www.jqueryscript.net/animation/">Animation</a> speed
  'animationSpeed': 1000,

  // show/hide navigation icon
  'showNav': false,

  // Automatically start slideshow
  'autoSlide': true,

  'slideSelector': '.indexslide',
  
  // show/hide next/prev buttons
  'showNextPrev': false,

  // Pause sliding on mouse hover
  'pauseOnHover': false,

  // If true, navigation will be numeric
  'numericNav': false,

  // If this properties is set, sliding will automatically stop at the specified slide
  'stopSlidingAfter': false,

  // show/hide play button
  'showPlayButton': false,

  // 'fading' or 'sliding'
  'animationType': 'fading' /* fading/sliding */
  
        });
    });

<?php
if($NavCustom=="mobile") {
echo "
function openNav() {
  document.getElementById(\"mySidenav\").style.width = \"100%\";
}
function closeNav() {
  document.getElementById(\"mySidenav\").style.width = \"0\";
}
";
}
?>
// 建立cookie
function createCookie(name, value, days, path) {
  if (days) {
    var date = new Date();
    date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
    var expires = "; expires=" + date.toGMTString();
  }
  else var expires = "";
  document.cookie = name + "=" + value + expires + "; path=/";
alert ("設定已完成，請重新整理(F5)。");
window.location.reload();
}
</script>

  </body>
</html>