<?php 
date_default_timezone_set("Asia/Taipei");
$created_date = date('Y-m-d H:i:s');

 if($_SERVER['HTTP_HOST']=="web.twu.edu.tw"){
$accout=explode('/',$_SERVER['REQUEST_URI']);
$accout2=explode('~',$accout[1]);
$host=$_SERVER['HTTP_HOST']."/".$accout[1];
}else{
$host=$_SERVER['HTTP_HOST'];
} 
$sqlitename=md5($accout2.$created_date);

if (!defined('INSTALL_SEQUENCE')) {
    echo '<p>Illegal call. Terminating.</p>';
    exit();
}
//SQLITE_DOCUMENT
$drivers = PDO::getAvailableDrivers();
?>

    <script type="text/javascript" charset="utf-8" src="../js/jquery.js"></script>

    <h1>安裝資訊</h1>
    <p>本頁面要確認您的安裝目錄</p>
    <form action="index.php" method="post">
        <input type="hidden" name="install" value="1"/>
        <table class="fieldset" cellpadding="0" cellspacing="0" border="0">
            <tr>
                <th colspan="3">Sqlite 資料庫位置</th>
            </tr>
            <tr>
                <td><label for="config_db_driver">Database driver</label></td>
                <td>
                    <select id="config_db_driver" name="config[db_driver]">
                        <?php  if (in_array('sqlite', $drivers)) {
                                echo '<option value="sqlite">SQLite 3</option>';
                            //}
                        } ?>
                    </select>
                </td>
                <td class="text-danger">安裝要求.</td>
            </tr>
            <tr id="row-seup-host">
                <td><label for="config_url_host">安裝目錄確認</label></td>
                <td><input class="form-control" id="config_url_host" maxlength="100" name="config[url_host]" size="65" type="text" value="<?php echo $host?>" required autofocus /></td>  
                <td>安裝在根目錄無須修改<span class="text-danger">(不用加上http://)</td>
            </tr>			
            <tr id="row-db-name">
                <td><label for="config_db_name">Sqlite 資料庫</label></td>
                <td><input class="form-control" id="config_db_name" maxlength="120" name="config[db_name]" size="65" type="text" value="<?php echo SQLITE_ROOT.'/'.$sqlitename.'.sqlite3' ?>"  required autofocus /></td> 
                <td><span class="text-primary">放置您的資料庫位置.</span><br/><span class="text-danger"><strong>請注意</strong></span> 強烈建議您不要放在網頁資料夾(html)內....</span></ 檔名可自行修改 '.sq3', '.db','.db3','.sqlite','.sqlite3'</td>
            </tr>

            <tr>
                <th colspan="3">Meta Data <span class="text-danger">安裝後不易修改....</span></th>
            </tr>
            <tr>
                <td><label for="ACTIVITYNAME">網站全名</label></td>
                <td><input class="form-control" id="ACTIVITYNAME" maxlength="100" name="config[ACTIVITYNAME]" size="65" type="text" value="環球科技大學圖書資訊處" required autofocus /></td> 
                <td>請輸入環球科技大學單位名稱(並請自行修改)</td>
            </tr>
            <tr>
                <td><label for="WEBNAME">網站名稱</label></td>
                <td><input class="form-control" id="WEBNAME" maxlength="100" name="config[WEBNAME]" size="65" type="text" value="圖書資訊處" required autofocus /></td> 
                <td>請輸入單位名稱:(如需<span class="text-danger">使用最新公告請用全名圖書資訊處</span> 不要用圖資處)</td>
            </tr> 
            <tr>
                <td><label for="ENACTIVITYNAME">單位英文</label></td>
                <td><input class="form-control" id="ENACTIVITYNAME" maxlength="100" name="config[ENACTIVITYNAME]" size="65" type="text" value="Office of Library and Information Services" required autofocus /></td> 
                <td>如圖書資訊處請填入<span class="text-danger">Office of Library and Information Services</span></td>
            </tr>
            <tr>
                <td><label for="ENWEBNAME">單位英文縮寫</label></td>
                <td><input class="form-control" id="ENWEBNAME" maxlength="100" name="config[ENWEBNAME]" size="65" type="text" value="OLIS" required autofocus /></td> 
                <td>如圖書資訊處的英文是<span class="text-danger">Office of Library and Information Services請填入OLIS</span></td>
            </tr> 			
            <tr>
                <td><label for="KEYWORDS">關鍵字</label></td>
                <td><input class="form-control" id="KEYWORDS" maxlength="100" name="config[KEYWORDS]" size="65" type="text" value="環球科技大學,圖書資訊處" required autofocus /></td> 
                <td>請自行修改<span class="text-danger">(關鍵字1,關鍵字2)</span></td>
            </tr>
            <tr>
                <td><label for="DESCRIPTION">網站描述</label></td>
                <td><input class="form-control" id="DESCRIPTION" maxlength="100" name="config[DESCRIPTION]" size="65" type="text" value="這是單位網站為...." required autofocus /></td> 
                <td>請自行修改</td>
            </tr>
            <tr>
                <td><label for="CONTACT_MAIL">單位或管理者mail</label></td>
                <td><input class="form-control" id="CONTACT_MAIL" maxlength="100" name="config[CONTACT_MAIL]" size="65" type="text" value="olis@twu.edu.tw" required autofocus /></td> 
                <td>請自行修改<td>
            </tr>            
             <tr>
                <td><label for="CONTACT_TEL">單位連絡電話或專線</label></td>
                <td><input class="form-control" id="CONTACT_TEL" maxlength="100" name="config[CONTACT_TEL]" size="65" type="text" value="05-5370988 分機 0000" required autofocus /></td> 
                <td>請自行修改<span class="text-danger">(05-5370988 分機 0000)</span></td>
            </tr> 
              <tr>
                <td><label for="CONTACT_PHONE">單位傳真或學校傳真</label></td>
                <td><input class="form-control" id="CONTACT_PHONE" maxlength="100" name="config[CONTACT_PHONE]" size="65" type="text" value="05-5370988 分機 0000" required autofocus /></td> 
                <td>請自行修改<span class="text-danger">(05-5370988 分機 0000)</span></td>
            </tr>                     
             <tr>
                <td><label for="PROPERTY_SITE_NAME">單位名稱(全銜)</label></td>
                <td><input class="form-control" id="PROPERTY_SITE_NAME" maxlength="100" name="config[PROPERTY_SITE_NAME]" size="65" type="text" value="環球科技大學圖書資訊處" required autofocus /></td> 
                <td>請輸入<span class="text-danger">環球科技大學單位名稱</span></td>
            </tr> 


        </table>
  
<button name="commit" type="submit" class="btn btn-primary"><i class="fa fa-cog" aria-hidden="true"></i>上述資料請確認喔!!開始安裝!</button>

    </form>
